Requirements

.NET Core 2.1

Cake provides two options for running on .NET Core, cross-platform on Windows, Mac or Linux.

The Cake.CoreCLR NuGet package, targeting netcoreapp2.0.

The Cake.Tool NuGet package, a .NET Core global tool targeting netcoreapp2.1.

.NET Framework 4.6.1

The Cake NuGet package can be used on Windows to run using the full .NET Framework 4.6.1 or newer.

Alternatively, you can also use Mono to run on Mac or Linux. The official minimum recommended version of Mono is 5.12.0.

NOTE: It is suggested to use .NET Framework 4.7.2 or newer to run build scripts which are using addins targeting .NET Standard 2.0 only.